Skip to main content
`Ctrl`+`K`
scipy.sparse.linalg.

# factorized

scipy.sparse.linalg.factorized(A)

  Return a function for solving a sparse linear system, with A pre-factorized.

  Parameters:
    A(N, N) array_like

      Input. A in CSC format is most efficient. A CSR format matrix will be converted to CSC before factorization.

  Returns:
    solve callable

      To solve the linear system of equations given in A, the solve callable should be passed an ndarray of shape (N,).

  Examples

      >>> import numpy as np
      >>> from scipy.sparse.linalg import factorized
      >>> from scipy.sparse import csc_array
      >>> A = np.array([[ 3. ,  2. , -1. ],
      ...               [ 2. , -2. ,  4. ],
      ...               [-1. ,  0.5, -1. ]])
      >>> solve = factorized(csc_array(A)) # Makes LU decomposition.
      >>> rhs1 = np.array([1, -2, 0])
      >>> solve(rhs1) # Uses the LU factors.
      array([ 1., -2., -2.])